Bug 1592115 - arpack-3.7.0 is available
Summary: arpack-3.7.0 is available
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: arpack
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Dominik 'Rathann' Mierzejewski
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-06-17 12:13 UTC by Upstream Release Monitoring
Modified: 2019-09-19 03:55 UTC (History)
6 users (show)

Fixed In Version: arpack-3.7.0-1.el8
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-09-19 03:55:52 UTC
Type: ---


Attachments (Terms of Use)

Description Upstream Release Monitoring 2018-06-17 12:13:23 UTC
Latest upstream release: 3.6.0
Current version/release in rawhide: 3.5.0-6.fc28
URL: https://github.com/opencollab/arpack-ng

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/111/

Comment 1 Upstream Release Monitoring 2018-06-23 12:13:23 UTC
Latest upstream release: 3.6.1
Current version/release in rawhide: 3.5.0-6.fc28
URL: https://github.com/opencollab/arpack-ng

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/111/

Comment 2 Upstream Release Monitoring 2018-07-28 12:12:23 UTC
Latest upstream release: 3.6.2
Current version/release in rawhide: 3.5.0-6.fc28
URL: https://github.com/opencollab/arpack-ng

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/111/

Comment 3 Darcy 2018-08-01 18:58:11 UTC
This release includes a very nice C++ wrapper to ARPACK now ;-)  Would it be possible to include this in the devel package under arpack/arpack.hpp?  Is there CMake support in the packaging as well?

Comment 4 Dominik 'Rathann' Mierzejewski 2019-02-07 08:50:10 UTC
Actually, 3.7.0 is available already.

There's a trivial API change due to header location change (/usr/include/arpack.h{,pp} -> /usr/include/arpack/arpack.h{,pp}). I'm considering providing compatibility symlinks.

There's a cmake build system, but it doesn't produce a pkg-config file (arpack.pc), so I haven't switched to it. See https://github.com/opencollab/arpack-ng/issues/63 for more details on that.

I did some scratch builds, but at least one test is failing on all 64-bit arches for ILP64 builds. This is tracked under https://github.com/opencollab/arpack-ng/issues/195 .

Comment 5 Fedora Update System 2019-09-03 15:02:38 UTC
FEDORA-EPEL-2019-9f91d4bac6 has been submitted as an update to Fedora EPEL 8. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-9f91d4bac6

Comment 6 Fedora Update System 2019-09-04 06:05:38 UTC
arpack-3.7.0-1.el8 has been pushed to the Fedora EPEL 8 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-9f91d4bac6

Comment 7 Fedora Update System 2019-09-19 03:55:52 UTC
arpack-3.7.0-1.el8 has been pushed to the Fedora EPEL 8 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.